/* 
   SQL Password Auditing Tool
   Copyright (C) Patrik Karlsson 2002
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _CRYPTO_H
#define _CRYPTO_H

#include <string.h>
#include <openssl/sha.h>
#include <stdlib.h>
#include <stdio.h>
#include "sqlbf.h"

#ifndef WIN32
#include <ctype.h>
#endif

#define MD_SIZE 20

typedef unsigned char uchar;

void mssqlHash(unsigned char *, struct passwordlist *, const unsigned char [4]);
void doUnicode(const char *, char *, const int);
int compareHashes(uchar *, uchar *);
int getMixedCasePwFromUCPw(struct hashlist *, struct passwordlist *);

#endif
